import os
import logging
from datetime import date
import urllib.request
from tqdm import tqdm

today = date.today()
today = today.strftime("%d_%m_%Y")

URLs = ['https://lovelymee.com/shumee/mpi/public/shumee-mall-cz-vidaxl.csv',
'https://lovelymee.com/shumee/mpi/public/shumee-mall-sk-vidaxl.csv',
'https://lovelymee.com/shumee/mpi/public/shumee-mall-sl-vidaxl.csv',
'https://lovelymee.com/shumee/mpi/public/greatstore-mall-hu-vidaxl.csv',
'https://lovelymee.com/shumee/mpi/public/shumee-mall-cz-vidaodm.csv',
'https://transport.productsup.io/5d371734fbb1a91a8253/channel/188232/vidaXL_cz_dropshipping.csv',
'https://transport.productsup.io/6651a3e97d339f544a23/channel/188228/vidaXL_sk_dropshipping.csv',
'https://transport.productsup.io/9116925bbb8c92887cae/channel/188087/vidaXL_si_dropshipping.csv',
'https://transport.productsup.io/642816fd3f155760666d/channel/188224/vidaXL_hu_dropshipping.csv']

names = ['download/shumee-mall-cz-vidaxl.csv', 'download/shumee-mall-sk-vidaxl.csv', 'download/shumee-mall-sl-vidaxl.csv', 'download/shumee-mall-hu-vidaxl.csv', 'download/shumee-mall-cz-vidaodm.csv',
         'download/vida-mall-cz-vidaxl.csv', 'download/vida-mall-sk-vidaxl.csv', 'download/vida-mall-sl-vidaxl.csv', 'download/vida-mall-hu-vidaxl.csv']

logging.basicConfig(filename=("logs/download_" + today +".log"), level=logging.INFO, format='%(asctime)s %(levelname)s:%(message)s', datefmt='%Y-%m-%d %H:%M:%S')

def download_url(url, output_path):
    urllib.request.urlretrieve(url, filename=output_path)

def execute():
    for url, name in zip(URLs, names):
        logging.info("Downloaded file {}".format(name))
        print("Downloading file {}".format(name))
        download_url(url, 'newfeed.csv')
        if(os.path.isfile(name)):
            os.remove(name)
        os.rename("newfeed.csv", name)

if __name__ == "__main__":
    execute()